Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.asynchronous.common
Class AsynchronousResponseImpl

    java.lang.Object
      org.jboss.aspects.asynchronous.common.AsynchronousResponseImpl

All Implemented Interfaces:
  AsynchronousConstants, AsynchronousResponse

Direct Known Subclasses:
  ThreadManagerResponseImpl

public class AsynchronousResponseImpl
extends Object
implements AsynchronousResponse, AsynchronousConstants

Version:
  `$Revision: 1.2.4.4 $`
Author:
  {Claude Hussenet Independent Consultant}.

Field Summary

Fields inherited from interface org.jboss.aspects.asynchronous.AsynchronousConstants
`CAN_NOT_PROCESS, EXCEPTIONCAUGHT, INTERRUPTED, INVOCATION, NOVALUE, OK, TIMEOUT, UNKNOWN`

Constructor Summary
`AsynchronousResponseImpl(int code, Object object)`
`AsynchronousResponseImpl(int code, String reason, Object object)`

Method Summary
`String` | `getReason()`
`int` | `getResponseCode()`
`Object` | `getResult()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AsynchronousResponseImpl

    public AsynchronousResponseImpl(int code,
                                    String reason,
                                    Object object)

### AsynchronousResponseImpl

    public AsynchronousResponseImpl(int code,
                                    Object object)

Method Detail

### getResponseCode

    public int getResponseCode()

  Specified by:
    `getResponseCode` in interface `AsynchronousResponse`

### getReason

    public String getReason()

  Specified by:
    `getReason` in interface `AsynchronousResponse`

### getResult

    public Object getResult()

  Specified by:
    `getResult` in interface `AsynchronousResponse`

### toString

    public String toString()

  Specified by:
    `toString` in interface `AsynchronousResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.